<mamecheat version="1">

  <cheat desc=" "/>
  <cheat desc="The winning hand cheat must be activated when there are 14 tiles in your"/>
  <cheat desc="hand, then press the RON key ('Z' by default). The tiles do not visually"/>
  <cheat desc="change until you make a move."/>
  <cheat desc=" "/>

  <cheat desc="Get winning hand Now!">
    <script state="on">
      <action>temp0 =maincpu.mb@A070</action>
      <action>maincpu.mb@A070=00</action>
      <action>maincpu.pb@A071=00</action>
      <action>maincpu.pb@A072=00</action>
      <action>maincpu.pb@A073=01</action>
      <action>maincpu.pb@A074=01</action>
      <action>maincpu.pb@A075=01</action>
      <action>maincpu.pb@A076=02</action>
      <action>maincpu.pb@A077=02</action>
      <action>maincpu.pb@A078=02</action>
      <action>maincpu.pb@A079=03</action>
      <action>maincpu.pb@A07A=03</action>
      <action>maincpu.pb@A07B=03</action>
      <action>maincpu.pb@A07C=04</action>
      <action>maincpu.pb@A07D=04</action>
    </script>
    <script state="off">
      <action>maincpu.mb@A070=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Always winning hand">
    <script state="on">
      <action>temp0 =maincpu.mb@A070</action>
    </script>
    <script state="run">
      <action>maincpu.mb@A070=00</action>
      <action>maincpu.pb@A071=00</action>
      <action>maincpu.pb@A072=00</action>
      <action>maincpu.pb@A073=01</action>
      <action>maincpu.pb@A074=01</action>
      <action>maincpu.pb@A075=01</action>
      <action>maincpu.pb@A076=02</action>
      <action>maincpu.pb@A077=02</action>
      <action>maincpu.pb@A078=02</action>
      <action>maincpu.pb@A079=03</action>
      <action>maincpu.pb@A07A=03</action>
      <action>maincpu.pb@A07B=03</action>
      <action>maincpu.pb@A07C=04</action>
      <action>maincpu.pb@A07D=04</action>
    </script>
    <script state="off">
      <action>maincpu.mb@A070=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
